local trinkets = {}
local arenatrin = CreateFrame("Frame")
arenatrin:RegisterEvent("ADDON_LOADED")
arenatrin:RegisterEvent("PLAYER_ENTERING_WORLD")
function arenatrin:ADDON_LOADED(addonName)
    if addonName ~= "Blizzard_ArenaUI" then
        return
    end
	
    local arenaFrame, trinket, numTrinkets = GetNumArenaOpponents()
    for i = 1, 5 do
	    arenaFrame = "ArenaEnemyFrame"..i
        trinket = CreateFrame("Cooldown", arenaFrame.."Trinket", ArenaEnemyFrames)
        trinket:SetPoint("TOPRIGHT", arenaFrame, 26, -6)
		trinket:SetPoint("BOTTOM", arenaFrame, 0,0)
        trinket:SetSize(24, 24)
        trinket.icon = trinket:CreateTexture(nil, "BACKGROUND")
        trinket.icon:SetAllPoints()
        trinket.icon:SetTexture("Interface\\Icons\\inv_jewelry_trinketpvp_02")
        trinket:Hide()
        trinkets["arena"..i] = trinket
    end
    self:UnregisterEvent("ADDON_LOADED")
end

function arenatrin:UNIT_SPELLCAST_SUCCEEDED(unitID, spell, rank, lineID, spellID)
    if not trinkets[unitID] then
        return
    end
        if spellID == 59752 or spellID == 42292 then
                CooldownFrame_SetTimer(trinkets[unitID], GetTime(), 120, 1)
		elseif spellID == 7744 then
				CooldownFrame_SetTimer(trinkets[unitID], GetTime(), 30, 1)
        end
end
function arenatrin:PLAYER_ENTERING_WORLD()
    local _, instanceType = IsInInstance()
    if instanceType == "arena" then
        self:RegisterEvent("UNIT_SPELLCAST_SUCCEEDED")
    elseif self:IsEventRegistered("UNIT_SPELLCAST_SUCCEEDED") then
        self:UnregisterEvent("UNIT_SPELLCAST_SUCCEEDED")
        for _, trinket in pairs(trinkets) do
            trinket:SetCooldown(0, 0)
            trinket:Hide()
        end
    end
end
--[[
 SLASH_TESTAEF1 = "/testaef"
 SlashCmdList["TESTAEF"] = function(msg, editBox)
     if not IsAddOnLoaded("Blizzard_ArenaUI") then
         LoadAddOn("Blizzard_ArenaUI")
     end
     ArenaEnemyFrames:Show()
	 for i=1,5 do _G["ArenaEnemyFrame"..i]:Show()_G["ArenaEnemyFrame"..i.."CastingBar"]:Show()end--_G["ArenaEnemyFrame"..i.."PetFrame"]:Show()end
     local arenaFrame
     for i = 1, 5 do
         arenaFrame = _G["ArenaEnemyFrame"..i]		
         arenaFrame.classPortrait:SetTexture("Interface\\TargetingFrame\\UI-Classes-Circles")
         arenaFrame.classPortrait:SetTexCoord(unpack(CLASS_ICON_TCOORDS["WARRIOR"]))
         arenaFrame.name:SetText("Dispelme")
         arenaFrame:Show()        		
         CooldownFrame_SetTimer(trinkets["arena"..i], GetTime(), 120, 1)		
     end
 end
 ]]
arenatrin:SetScript("OnEvent", function(self, event, ...) return self[event](self, ...) end)